Bug 46388 - ucd-snmp missing dependency
Summary: ucd-snmp missing dependency
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ucd-snmp   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-28 09:44 UTC by Vadim Zaliva
Modified: 2015-03-05 01:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-02 09:24:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vadim Zaliva 2001-06-28 09:44:32 UTC
Description of Problem:



RPM of ucd-snmp-4.2-12 does not informs that

it provides libsnmp.so.0, while in fact it actually does.



Meanwhile, previous version of RedHat linux (7.0) have

correctly build ucd-snmp-4.1.2-8.



How Reproducible:



rpm -q --provides ucd-snmp 



Actual Results:



libsnmp-0.4.2.so

libucdagent-0.4.2.so

libucdmibs-0.4.2.so

ucd-snmp = 4.2-12 



Expected Results:



libsnmp.so.0

libsnmp-0.4.2.so

libucdagent-0.4.2.so

libucdmibs-0.4.2.so

ucd-snmp = 4.2-12 



Additional Information:

	

This bug cause RPMs which are require this library fail to install

on RedHat 7.1 (they install OK on 7.0) reporting failed dependency.

Comment 1 Phil Knirsch 2001-07-20 17:13:45 UTC
For some strange reason rpm doesn't identify these during the build process anymore.

I've added them manually as provided by the package.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.